package com.sharix.sportsmanfriend.view.fragments;

import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CalendarView;
import android.widget.EditText;
import android.widget.TextView;

import com.sharix.sportsmanfriend.R;

import java.util.Calendar;

public class CalendarFragment extends Fragment {

    private Bundle savedState = null;
    EditText vstup;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_calendar, container, false);

        vstup = view.findViewById(R.id.textView7);

        if(savedInstanceState != null && savedState == null) {
            savedState = savedInstanceState.getBundle("key1");
        }
        if(savedState != null) {
            vstup.setText(savedState.getCharSequence("key2"));
        }
        savedState = null;

        return view;
    }

    @Override
    public void onPause() {
        super.onPause();
        Log.d("TAG", "onPause: ");
    }

    @Override
    public void onStop() {
        super.onStop();
        Log.d("TAG", "onStop: ");
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        savedState = saveState(); /* vstup defined here for sure */
        vstup = null;
    }

    private Bundle saveState() { /* called either from onDestroyView() or onSaveInstanceState() */
        Bundle state = new Bundle();
        state.putCharSequence("key2", vstup.getText());
        return state;
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        Log.d("TAG", "onDestroy: ");
    }

    @Override
    public void onSaveInstanceState(Bundle outState) {
        super.onSaveInstanceState(outState);
        /* If onDestroyView() is called first, we can use the previously savedState but we can't call saveState() anymore */
        /* If onSaveInstanceState() is called first, we don't have savedState, so we need to call saveState() */
        /* => (?:) operator inevitable! */
        outState.putBundle("key1", (savedState != null) ? savedState : saveState());
    }
}